QuantLib: FdHestonHullWhiteVanillaEngine Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.6

- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
FdHestonHullWhiteVanillaEngine Class Reference
Pricing engines » Vanilla option engines

Finite-Differences Heston Hull-White Vanilla Option engine. More...

`#include <ql/pricingengines/vanilla/fdhestonhullwhitevanillaengine.hpp>`

Inheritance diagram for FdHestonHullWhiteVanillaEngine:
[legend]

## Public Member Functions
| FdHestonHullWhiteVanillaEngine (const boost::shared_ptr< HestonModel > &model, const boost::shared_ptr< HullWhiteProcess > &hwProcess, Real corrEquityShortRate, Size tGrid=50, Size xGrid=100, Size vGrid=40, Size rGrid=20, Size dampingSteps=0, bool controlVariate=true, const FdmSchemeDesc &schemeDesc=FdmSchemeDesc::Hundsdorfer())
void | calculate () const
void | update ()
void | enableMultipleStrikesCaching (const std::vector< Real > &strikes)
Public Member Functions inherited from GenericModelEngine< HestonModel, DividendVanillaOption::arguments, DividendVanillaOption::results >
| GenericModelEngine (const Handle< HestonModel > &model=Handle< HestonModel >())
| GenericModelEngine (const boost::shared_ptr< HestonModel > &model)
Public Member Functions inherited from GenericEngine< DividendVanillaOption::arguments, DividendVanillaOption::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< std::set< boost::shared_ptr< Observable > >::iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()

## Additional Inherited Members
Protected Attributes inherited from GenericModelEngine< HestonModel, DividendVanillaOption::arguments, DividendVanillaOption::results >
Handle< HestonModel > | model_
Protected Attributes inherited from GenericEngine< DividendVanillaOption::arguments, DividendVanillaOption::results >
DividendVanillaOption::arguments | arguments_
DividendVanillaOption::results | results_

## Detailed Description

Finite-Differences Heston Hull-White Vanilla Option engine.

Tests:
  the correctness of the returned value is tested by reproducing results available in web/literature and comparison with Black/Heston pricing.

## Member Function Documentation

void update | ( |  | ) |
| virtual

This method must be implemented in derived classes. An instance of Observer does not call this method directly: instead, it will be called by the observables the instance registered with when they need to notify any changes.

Implements Observer.